#!/bin/bash
#
# File: cleanup.sh part of FLAC-JACKET - FLAC Audio Management Program
# used to tidy up, remove temp files, unset vars etc.
# added to program Apr 2005. Pete Nesbitt

##
#    Copyright 2004, 2005 Pete Nesbitt (pete@linux1.ca)
#
#    This file is part of Flac-Jacket.
#
#    Flac-Jacket is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    Flac-Jacket is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with Flac-Jacket; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
##

. flac_jacket.rc


#these are temp files (these are all in $TEMP)
$RM -f $ARTISTS_SUMMARY $LIST_ARTISTS $LIST_SELECTION $LIST_SELECTION_TRIMMED $LIST_FILE > /dev/null 2>&1
$RM -f $LIST_SELECTION_A $LIST_SELECTION_BEG $LIST_SELECTION_END > /dev/null 2>&1
# they should all be gone, but incase we add anything
$RM -f ${TEMP}/raw_* > /dev/null 2>&1
$RM -f ${TEMP}/flac_*.tmp > /dev/null 2>&1

#unset the vars   
#first the temp file handles
unset ARTISTS_SUMMARY LIST_ARTISTS LIST_SELECTION LIST_SELECTION_TRIMMED LIST_FILE LIST_SELECTION_A LIST_SELECTION_BEG LIST_SELECTION_END

# the rest
unset FILES_TODO ALBUM SPEC FILES_DONE FLAC_DIR ARTIST NEW_ERROR LOG WEB_LIST RAW_DIR TEMP DEL_RAW CONF_DEL BASE_DIR SIDES_COUNT YEAR FULLYEAR VERSION

# the comand aliases
unset TODAY AWK BC CAT CP DATE ECHO FLAC GREP LS PRINTF RM SED SORT

#reset users path
PATH=$ORIG_PATH
